Page MenuHomePhabricator

[Polly][NFC][ScopBuilder] Move hoistInvariantLoads to ScopBuilder
ClosedPublic

Authored by domada on Jun 5 2019, 12:24 PM.

Details

Summary

Refactor Scop and ScopBuilder class:

1.Move hoistInvariantLoads function from Scop ScopBuilder class.

  1. Private functions (addInvariantLoads, getNonHoistableCtx) are moved to public section of Scop class. hoistInvariantLoads function references these functions. These functions will be moved to ScopBuilder as well in the next steps.

Diff Detail

Repository
rL LLVM

Event Timeline

domada created this revision.Jun 5 2019, 12:24 PM
Herald added a project: Restricted Project. · View Herald Transcript

Can you move getNonHoistableCtx/addInvariantLoads to ScopBuilder as well? they contain logic only relevant for hoisting.

domada added a comment.Jun 8 2019, 2:28 AM

Ok, I can do it.

Shall I do it in the same patch, or can I do it in the next patch? I prefer to do it in the next patch just to keep patches as small as possible.

domada added a comment.Jun 9 2019, 3:52 PM

https://reviews.llvm.org/D63066 -> this child review implements moving of getNonHoistableCtx to ScopBuilder.

domada edited the summary of this revision. (Show Details)Jun 9 2019, 3:54 PM
Meinersbur accepted this revision.Jun 11 2019, 12:53 PM

Shall I do it in the same patch, or can I do it in the next patch? I prefer to do it in the next patch just to keep patches as small as possible.

I think it would be easier to do it in one patch, but since you prefer splitting it into another patch, it's fine with me.

LGTM. Do you want me to commit for you?

This revision is now accepted and ready to land.Jun 11 2019, 12:53 PM
domada added a comment.EditedJun 11 2019, 3:27 PM

Yes, please do a commit.
I have updated patch for moving getNonHoistableCtx to ScopBuilder.

This revision was automatically updated to reflect the committed changes.